/*
 *--- PGetPrintInk.cpp ----------------------------------------------------
 * Copyright (c) 1995-96 Adobe Systems Incorporated.  All rights reserved.
 * Created on Sun, Oct 22, 1995 @ 4:49 PM by Paul Ferguson.
 *
 * Description:  For notes about this class, refer to the
 * PCL documentation file PGetPrintInk.html
 *-------------------------------------------------------------------------
 */

#include "PGetPrintInk.h"
#include "PReplyBuf.h"

PGetPrintInk::PGetPrintInk()
: PListQuery(pm_getprintink)
{
	Scan();
}

void PGetPrintInk::Scan()
{
	PReplyBuf reply(listMom.Current());
	
	reply	>> &sName
			>> bPrintInk
			>> &sAngle
			>> &sRuling;
	
	listMom.Update(reply);
}

// end of PGetPrintInk.cpp
